//******************************************************************************
//  Jose I Quinones
//  Texas Instruments Inc.
//  June 2009
//  Built with IAR Embedded Workbench Version: 3.42A
//******************************************************************************
//***********************************************************************************
// Communication Engine Globals                                                     *
//***********************************************************************************

//***********************************************************************************
// Firmware Revision                                                                *
// Date: 2/28/06    By: Jose I Quinones                                             *
// Changes:                                                                         *
// TASK0.CPP    -   Fixed a series of ENABLEA_BIT bit sets to Windings B,C&D        *
//***********************************************************************************

#define     FIRMWARE_REVISION       (0xA6)

//***********************************************************************************
// Application Specific Definitions                                                 *
//***********************************************************************************

#define     SPI_PORT            P1OUT
#define     SPI_PORTIN          P1IN
#define     SPI_STROBE          (0x01)
#define     SPI_DATA_OUT_PIN    (0x02)
#define     SPI_DATA_IN_PIN     (0x04)
#define     SPI_CLK             (0x08)
#define     StatusLEDPin        (0x80)

//***********************************************************************************
// Application Specific Opcodes                                                     *
//***********************************************************************************
#define     SEND_SPI        0
#define     INIT_CLK        1

// Serial Command Byte names
#define     OPCODE          SerialBuffer[0]
#define     SPI3            SerialBuffer[1]
#define     SPI2            SerialBuffer[2]
#define     SPI1            SerialBuffer[3]
#define     SPI0            SerialBuffer[4]
#define     SPI_PARAM       SerialBuffer[5]

#define     SET_GPIO        0x00
#define     PWM_ENABLE      0x01
#define     PWM_PHASE       0x02

//Memory Access Opcodes
#define     READ_MEM        0xE0
#define     WRITE_WMEM      0xE1
#define     WRITE_BMEM      0xE2

// System Opcodes
#define     GET_FW_REV      0xF0
#define     RESET_MCU       0xF1
#define     SHOW_CLKS       0xF2
